pro get_sscinfo,index,sxt1,sxt2,sxt3

;+
; NAME
;	get_sscinfo
; PURPOSE
;	To quickly collect the information for the exposures
;	comprising an SSC or SST.
; CALLING SEQUENCE
;	get_sscinfo,index,sst=sst,sxt1,sxt2 [,sxt3]
; INPUT
;	index, SSC or SST index structure.
; OUTPUT
;	sxt1: array of index structures for the short exposure
;	sxt2: array of index structures for the long exposure
; OPTIONAL OUTPUT
;	sxt3: for SST, index structures for the super-long exposure.
; HISTORY
; 	Journal File for acton@pachyderm.physics.montana.edu
; 	Working directory: /disk/pd1/acton/movietime
; 	Date: Fri Nov 12 10:23:25 2004  (LWA)
;	17-Nov-2004 LWA  Changed loop indices to longword.
;-
 
img1={time:0L,day:0,comp:'img1'}
img1=replicate(img1,n_elements(index))
img2={time:0L,day:0,comp:'img2'}
img2=replicate(img2,n_elements(index))
img3={time:0L,day:0,comp:'img3'}
img3=replicate(img3,n_elements(index))

for i=0L,n_elements(index)-1 do img1(i).time=index(i).his.time_compos(0)
for i=0L,n_elements(index)-1 do img1(i).day=index(i).his.day_compos(0)
for i=0L,n_elements(index)-1 do img2(i).time=index(i).his.time_compos(1)
for i=0L,n_elements(index)-1 do img2(i).day=index(i).his.day_compos(1)
for i=0L,n_elements(index)-1 do img3(i).time=index(i).his.time_compos(2)
for i=0L,n_elements(index)-1 do img3(i).day=index(i).his.day_compos(2)

rd_obs,img1(0),img1(0),bcs,sxtf,/nobcs,/quiet
sxt1=replicate(sxtf,n_elements(index))
sxt2=replicate(sxtf,n_elements(index))

for i=0L,n_elements(index)-1 do begin
   rd_obs,img1(i),img1(i),bcs,sxtg,/nobcs,/quiet
   sxt1(i)=sxtg
   rd_obs,img2(i),img2(i),bcs,sxtg,/nobcs,/quiet
   sxt2(i)=sxtg
endfor

if max(img3.time) gt 0 then begin	;SST case.
   sxt3=replicate(sxtf,n_elements(index))
   for i=0L,n_elements(index)-1 do begin
      rd_obs,img3(i),img3(i),bcs,sxtg,/nobcs,/quiet
      sxt3(i)=sxtg
   endfor
endif

end
